#
# spec file for package xstereograph (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libpng xaw95 xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw95 xdevel xf86 xshared

Name:         xstereograph
%define		version_libsx 2.03
Summary:      Stereogram generator
Group:		X11/Games
Copyright:	GPL, LGPL
Requires:	xless ImageMagick emacs-x11
Version:      2.1
Release:      1
URL:		http://shalmaneser.sortilege.org/cndp/pedagogie/jeux.html
Source0:	%{name}-%{version}.tar.bz2
Source1:	libsx-%{version_libsx}.tar.bz2
Patch:		%{name}-%{version}.patch
Buildroot:	%{_tmppath}/%{name}-build

%description
Stereograph is a stereogram generator. In detail it is a single image
stereogram (SIS) generator. That's a program that produces twodimensional
images that seem to be threedimensional (surely you know the famous works of
"The Magic Eye", Stereograph produces the same output). You do _not_ need
any pair of colored spectacles to regard them - everyone can learn it.

Authors:
--------
    fabian.linux@januszewski.de 
    demailly@fourier.ujf-grenoble.fr 
    

%prep
%setup -a 1
%patch

%build
#
# libsx
cd libsx-%{version_libsx}/src
make
cd ../..
#
# xstereograph
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 755 $RPM_BUILD_ROOT/usr/X11R6/lib/xstereograph/
cp -r depth_maps textures mathfiles magic-eye.xpm stereo_dia.png \
      $RPM_BUILD_ROOT/usr/X11R6/lib/xstereograph/      
#
# documantation
install -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
install -m 644 AUTHORS COPYING README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/
#
# documentation stereograph
cd stereograph-0.28a
install -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/stereograph/
install -m 644 AUTHORS COPYING INSTALL README TODO \
	       $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/stereograph/
cd ..
#
# libsx
cd libsx-%{version_libsx}/src
make DESTDIR=$RPM_BUILD_ROOT install
#
# libsx documantation
cd ..
install -d -m 755 $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/libsx/
install -m 644 CHANGES HELP HINTS LICENSE README \
               $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/libsx/
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/
%doc %{_mandir}/man1/*
/usr/games/bin/*
/usr/X11R6/include/X11/SX/
/usr/X11R6/lib/*
/usr/share/libsx/*

%changelog -n xstereograph
* Thu Oct 25 2001 - pmladek@suse.cz
- package created, version 2.1
- with libsx, version 2.03
